Architektura: Układ osi

From FreeCAD Documentation
Revision as of 04:17, 12 April 2024 by Kaktus (talk | contribs) (Created page with "{{Caption|Trzy obiekty osi połączone w jeden układ osi. Obiekt konstrukcji używa tego systemu jako swojej właściwości {{PropertyData|Axis}}, aby jego kształt był powielany w każdym punkcie przecięcia.}}")

Architektura: Układ osi

Lokalizacja w menu
Architektura → Narzędzia Osi → Układ osi
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Osie, Siatka

Opis

Narzędzie Układ osi pozwala na połączenie dwóch lub trzech obiektów Osiami środowiska pracy Architektura.

Jest to przydatne do definiowania punktów przecięcia między różnymi osiami. Obiekty Architektury mogą następnie użyć tego systemu do powielenia swojego kształtu na różnych punktach przecięcia.

Trzy obiekty osi połączone w jeden układ osi. Obiekt konstrukcji używa tego systemu jako swojej właściwości DANEAxis, aby jego kształt był powielany w każdym punkcie przecięcia.

Usage

  1. Optionally, select the Arch Axis objects you wish to include in this system.
  2. Press the Arch AxisSystem button.
  3. Right-click the newly created axes system object in the tree view to add/edit the Arch Axis objects included in this system.
  4. Select any existing Arch Axis and press Arch Add or Arch Remove buttons to add or remove it to/from this system.
  5. Set the DANEAxis property of any Arch object to point to this system, to have its shape duplicated to the intersection points of this system.

Options

  • A same Arch Axis object can be part of more than one system
  • Any shape-based object can also be used as the Axis property of Arch objects. In this case, the object shape will be duplicated along the vertices of the Axis object

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The AxisSystem tool can be used in macros and from the Python console by using the following function:

AxisSystem = makeAxisSystem(axes, name="Axis System")
  • Creates an AxisSystem object from the given axes, which is a single Arch Axis, or a list of them.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()